# &konsole;-håndbogen

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;

&erik.kjaer.pedersen.role;

2000
2001
2002
&Jonathan.Singer;
2005
Kurt Hindenburg
&FDLNotice;
2005-02-13
1.5

Dette dokument er brugervejledningen for &konsole;-programmet.

&konsole; er en X terminalemulator for &kde;

KDE
konsole
kdebase
kommando
linje

## Introduktion til &konsole;

### Hvad er en terminal?

&UNIX; operativsystemerne blev oprindeligt designet som tekstsystemer, kontrolleret af tastaturkommandoer -- hvilket er kendt som et 'command-line interface' (CLI). &X-Window; og &kde; og andre projekter har siden tilføjet den grafiske brugerflade, du bruger nu. Det underliggende CLI-system er der imidlertid stadigvæk, og er ofte den nemmeste, hurtigste og mest effektive måde at udføre mange opgaver.

&konsole; er det der omtales som en X terminalemulator, og ofte refereres til som en terminal eller en skal. Den giver dig det ækvivalente til en gammeldags tekstskærm på din desktop, men et der nemt kan dele skærmen med dine grafiske programmer. Windows-brugere er muligvis bekendte med MS-DOS Prompt-redskabet, som har den analoge funktion af at tilbyde en DOS kommandolinje under &Windows;. (Selvom &UNIX; CLI'er giver langt mere styrke og nemhed i brug end DOS!)

En forklaring af brugen af &UNIX; CLI går ud over dette dokuments rækkevidde, da det ville kræve en længere bog. Der er heldigvis mange sådanne bøger tilgængelige på hvert sprog i enhver god boghandel eller på biblioteker. Der er også øvelser tilgængelige på internettet. Nyd &kde;, men hold dig ikke tilbage fra at lære at bruge kommandolinjen! Du vil finde at blot det at lære de basale ting, vil gøre din computer-brug meget mere effektiv og sjov.

### Hvad gør &konsole; speciel?

&konsole;'s avancerede egenskaber inkluderer simpel indstilling og evnen til at bruge flere skaller i et enkelt vindue, hvilket giver en mindre rodet desktop.

Ved brug af &konsole;, kan en bruger åbne:

- &Linux; konsolsessioner

- Skal-sessioner

- Skærm-sessioner

- Midnight Commander filhåndterings-sessioner

- Root konsolsessioner

- Root Midnight Commander sessioner

- Brugeroprettede sessioner

Disse sessioner kan omdøbes for at hjælpe dig med at holde styr på alle dine skaller, eller signaleres (STOP, CONT, HUP, INT, TERM, KILL).

For mere kontrol over &konsole;, kan en bruger:

- skjule/vise menulinjen og/eller rammen

- vælg størrelsen af et &konsole;-vindue, skrifttyper, farvesammensætninger og tastebinding

- ændr placeringen af rullebjælken eller skjul rullebjælken

- ændr placeringen af fanebladslinjen eller skjul fanebladslinjen

Alle valgte indstillinger kan gøres til standard for de næste sessioner ved at gemme dem.

For dem med en dyb interesse i udviklingen af frie X-terminaler, er der to andre af denne slags: xterm, den oprindelige, skrevet før X selv (en måned eller to), og xvt, en letvægts xterm-klon, på hvilken de fleste andre aktuelt tilgængelige afledte (specielt eterm) er baserede.

Efter cirka 10 år er &konsole; den første genskrivning nede fra og op. Mens xterm bestemt er blevet hakket til døde (dens `README` starter med ordene Opgiv al håb, du som kommer her ind), tilbyder &konsole; en frisk start der bruger nutidig teknologi og forståelse af X.

## Brug af &konsole;

### Opstart

Når &konsole; startes, kører et program (typisk en &UNIX;-skal) i vinduet. Skriv simpelthen ved prompten.

&konsole;-skærm
&konsole;-skærm

Konsole med 4 terminalsessioner kørende.

Et Dagens vink-vindue kommer muligvis også frem ved opstart, der tilbyder råd angående brugen af &konsole;. Hvis du ikke ønsker at modtage disse råd, så fjern krydset i Vis vink ved opstart-feltet.

### Historik

Når linjerne ruller ud over toppen af skærmen, kan de ses igen ved at flytte rullebjælken opad, ved at rulle med et musehjul, eller gennem brug af &Shift;Page Up (for at gå en side tilbage), &Shift;Page Down (for at gå en side frem), &Shift;Op (for at gå en linje tilbage) og &Shift;Ned (for at gå en linje frem) taster (hvis eller Historik-tilvalget er slået til).

Derudover efterligner, &konsole; FreeBSD-konsollen når der trykkes på scroll lock. Når scroll lock er til, bliver almindelige ind- og uddata fra skallen suspenderet, og du kan rulle gennem historikken med Page Up, Page down, og Pil op og Pil ned.

Historikken i &konsole; kan indstilles via Opsætning Historik...

&konsole; sørger for et antal historikrelaterede handlinger som findes i menuen Redigér.

- Find i historik...

- Find næste

- Find foregående

- Gem historik som...

- Ryd historik

- Ryd al historik

I &konsole; gælder referencer til historik teksten som vises i terminalvinduet. Skallen som kører i &konsole; (f.eks. bash) har også en historik, som ikke har noget med &konsole; s historik at gøre.

### Sessioner

Hvis du ofte skal logge på eksterne maskiner, eller altid køre et lignende sæt af terminalprogrammer, kan du bruge &konsole;'s Session egenskab sammen med &kde;'s sessionshåndtering til at automatisere en masse af dette for dig. Lad os kigge på følgende eksempel: Du har ofte en ssh-session åben til maskinen administration parat til generisk administrationsopgaver. Du har måske bemærket at Ny session-knappen på &konsole;'s linje af faneblade indeholder en menu hvis du klikker og holder på den, og du kan vælge nye sessionstyper her. Vi vil tilføje nye indgange til denne menu.

1. Klik på menuindgangen Opsætning Indstil Konsole

2. Vælg Session-fanebladet.

3. Udfyld den første indgang med et navn. Dette er navnet der vil blive vist i menuen, og vil blive standardetiketten i stedet for Skal når du starter en session af denne type.

4. Indtast en kommando ligesom du normalt ville hvis du åbnede en ny skal og ville udstede den kommando. For vores førstr eksempel ovenfor, ville du måske skrive ``ssh` administration`.

5. I den nedre del af panelet, indstilles denne sessions udseende. Du kan have en anden skrifttype, farvesammensætning, og $`TERM`-type for hver session.

6. Tryk på Gem session...-knappen. En dialog vil bede dig om at bekræfte filnavnet.

7. Tryk på O.k..

Du skulle nu være i stand til at trykke på og holde Ny session-knappen nede i fanebladslinjen, og vælge din nye sessionstype fra listen. En ny skalsession vil åbnes indeni &konsole;-v vindue, med resultatet af den kørte kommando. I vort eksempel, vil du være blive bedt om et ssh kodeord, og når du indtaster dit kodeord, vil du blive logget på den eksterne maskine. Du kan også undgå dette trin, ved at bruge ssh-agent, men det er et emne for en anden god dag. Måske ønsker du at se slutningen af dine http fejllogger på en www-server. Så kan du bruge en kommandolinje cirka som ``ssh` `-f` wwwserver `tail` `-f` `/var/log/httpd-error.log``.

Du kan også bruge dette til at køre kommandoer lokalt. Prøv at oprette en session hvor kommandoen er ``tail` `-f` `/var/log/messages``. I dette tilfælde, vil skalsessionen også blive lukket når det kørende program lukkes.

En virkelig dejlig brug af denne funktion er, hvis du finder du altid har det samme sæt åbne sessioner, så kan &kde; åbne dem allesammen for dig automatisk når du starter en ny &kde;-session. Hav dem simpelthen alle åbne som du kan lide det, når du afslutter &kde;. Så vil de blive gemt med din &kde;-session, og genoprettet ligesom et vilkårligt andet program når du starter &kde; igen.

Du kan tilknytte genveje til enhver session.

### Museknapper

Dette afsnit beskriver brug af museknapperne for den almindelige indstilling af museknapperne for højrehåndede. For venstrehåndede, skiftes venstre og højre ud i nedenforstående tekst.

Venstre

  Et klik på venstre knap sendes som en begivenhed til programmet som køres i &konsole; . Hvis et program reagerer på museklik, indikerer &konsole; dette ved at vise en pilemarkør. Hvis ikke vises en I-formet (bjælke) markør.

  Ved at holde &LMB; nede og trække muse hen over skærmen med et program der ikke bruger mus kørende, markeres en del af teksten. Mens der trækkes, vises den markerede tekst omvendt for visuel tilbagemelding. Vælg Kopiér fra Redigér-menuen for at kopiere den markerede tekst til klippebordet til yderligere brug indenfor &konsole; eller et andet program. Den valgte tekst kan også trækkes og slippes ind i kompatible programmer. Klik på den valgte tekst og træk den til det ønskede sted. (Afhængig af din &kde; opsætning vil du måske skulle holde &Ctrl;-tasten nede mens du trækker).

  Normalt bliver ny-linje-tegn indsat ved slutningen af hver linje der er valgt. Dette er det bedste for klip og indsætning af kildekode, eller uddata fra en bestemt kommando. Til almindelig tekst, er linjebrud ofte ikke så vigtige. Man vil måske endda foretrække, at teksten skal være en strøm af tegn der automatisk bliver om-formateret når den indsættes i et andet program. For at vælge tekst-strømme-tilstand, holdes &Ctrl;-tasten nede samtidig med at teksten bliver valgt på sædvanlig måde.

  Tryk på &Ctrl;- og &Alt;-tasterne sammen med venstre museknap vælger en søjle med tekst.

  Dobbelt-klik med &LMB; for at markere et ord; trippel-klik for at markere en hel linje.

  Hvis den øvre eller nedre kant af tekstområdet røres mens der markeres, ruller &konsole; op eller ned, så al teksten i historik-buffer kommer frem før eller siden. Rulningen standser når musen holder op med at bevæge sig.

  Efter der er givet slip på musen, forsøger &konsole; at holde teksten i klippebordet synlig ved at lade det markerede område være omvendt. Det markerede område vender tilbage tildet normale så snart indholdet af klippebordet ændres, teksten indenfor det markerede område bliver ændret eller der klikkes med &LMB;.

  For at markere tekst med et musefølsomt program (for eksempel Midnight Commander) skal &Shift;-tasten holdes nede mens der klikkes.

Midten

  Ved at trykke &MMB; ned indsættes dentekst der er i klippebordet. Ved at holde &Ctrl;-tasten nede mens du trykker på &MMB; indsættes teksten og den sendes til &konsole;.

  Hvis du har en mus der kun har to knapper, vildet at trykke både venstre og højre museknapper ned samtidigt emulere den midterste knap på en mus med tre knapper.

  Hvis du har et hjul som musens midterknap, påvirker det &konsole; rullebjælke for programmer som ikke håndterer musen.

Højre

  Punkterne som vises i menuen når højre museknap trykkes, afhænger af om menulinjen er synlig eller ej.

  Menulinjen er synlig: Menuvalgmulighederne Angiv markeringens slutning, Kopiér, Indsæt, Send signal, Kobl session fra, Skift navn på session..., Bogmærker, og Luk session.

  Menulinjen er skjult: Menuvalgmulighederne Vis menulinje, Angiv markeringens slutning, Kopiér, Indsæt, Send signal, Ny session, Kobl session fra, Skift navn på session..., Bogmærker, Opsætning og Luk session.

  I et program som håndterer musen, tryk på &Shift;-tasten sammen med højre museknap for at vise den sammenhængsafhængige menu.

  Ved at trykke på &Ctrl;-tasten og højre museknap vises menuen Session.

### Menulinjen

Menulinjen for oven af &konsole;s vindue. Menulinjen kan blive aktiveret og deaktiveret med &Alt;-tasten.

Opsætning Skjul menulinjetillader menulinjen at være skjult. Når menulinjen er skjult, kan Vis menulinje nås ved at højre klikke i vinduet eller ved &Alt;&Ctrl;M , hvilket er standardgenvejen for at aktivere menulinjen. Menulinjen kan også slås til og fra ved at knytte den til en genvej.

#### Opsætningsmenuen

Session Ny skal

  Åbner en ny session med en terminal-skal. &Alt;&Ctrl;N kan også bruges, som beskrevet i detalje nedenfor.

Session Ny Linux-konsol

  Åbn en ny session der emulerer et rent tekst &Linux;-system.

  Se filen `README.linux.console` i &konsole; kildepakken for oplysninger om hvordan &Linux;-konsollen er anderledes end en typisk &UNIX;-konsol. Hvis dette ikke betyder noget for dig, bør du næsten helt sikkert ikke bekymre dig om det.

Session Ny 'Midnight Commander'

  Åbner en ny session med Midnight Commander filsøgeren.

  Dette menupunkt vil kun være synligt hvis Midnight Commander (`mc`) er installeret på dit system.

Session Ny root-skal

  Åbn en ny session med en terminalskal, som root-brugeren.

  Efter at være blevet bedt om root-kodeordet, kommer # tegnet frem, hvilket indikerer at brugeren arbejder med root privilegier. Dette er ofte nødvendigt for at installere ny software og for anden systemvedligeholdelse, men der skal passes på for at undgå uheld ved et tilfælde.

Session Ny root 'Midnight Commander'

  Åbn en ny session med Midnight Commander filsøgeren, som root-brugeren.

  Efter at være blevet bedt om root's kodeord, vil #-tegnet vise sig under søgevinduet, hvilket indikere at brugeren arbejder med root-privilegier. Igen, det at arbejde som root er ofte nødvendigt men man skal passe på for at undgå at gøre skade.

  Dette menupunkt vil kun være synligt hvis Midnight Commander (`mc`) er installeret på dit system.

Session Ny skærmsession

  Åbn en ny session med Skærmens virtuelle terminalhåndtering. Se ``man` `screen`` for yderligere oplysninger.

  Dette menupunkt vil kun være synligt hvis Screen (`screen`) er installeret på dit system.

Session Ny skal ved bogmærke

  Start en ny terminal-skal, i en mappe valgt fra bogmærkelisten.

Session Udskriv skærm

  Udskriver den nuværende skærm.

Session Luk session

  Luk den aktuelle session.

Session Afslut

  Afslut &konsole;, og lukker alle sessioner og alle programmer der er blevet startet fra dem.

Du kan også åbne en ny session med en tastaturgenvej. Som standard bruges &Alt;&Ctrl;N. Du kan også definere dine egne tastaturgenveje gennem Opsætning Indstil genveje... menukommandoen.

Listen af tilgængelige sessioner vil reflektere hvilke programmer der er installerede sammen med de brugerdefinerede sessioner. Sessionslisten vil blive ordnet alfabetisk for hurtig visning.

Bemærk endeligt at sessionstyperne kan ændres, og nye typer laves, ved at bruge indstillingsdialogen fra Opsætning Indstil Konsole-menuen.

#### Redigér-menuen

Redigér Kopiér

  Kopiér den valgte tekst til klippebordet.

Redigér Indsæt

  Indsæt tekst fra klippebordet ved markørens position.

Redigér Send signal

  Send signal - Send det angivne signal til skalprocessen, eller en anden proces, der blev startet da den nye session blev startet.

  Aktuelt tilgængelige signaler er:

  STOP | For at standse processen
  CONT | fortsæt hvis standset
  HUP | ophængning detekteret på kontrollerende terminal, eller død af kontrollerende proces
  INT | interrupt fra tastatur
  TERM | terminationssignal
  KILL | dræbesignal
  USR1 | brugersignal 1
  USR2 | brugersignal 2

  Referér til dit systems manualsider for yderligere detaljer ved at give kommandoen ``man` `7 signal``.

Redigér ZModem overførsel...

  Send en fil via ZModem.

Redigér Ryd terminal

  Ryd al tekst fra sessionsvinduet.

Redigér Nulstil og ryd terminal

  Nulstil og ryd sessionsvinduet..

Redigér Find i historik...

  Find et ord eller en streng med tekst i den aktuelle historik. Tilvalg tillader versalfølsom eller baglæns søgninger, og brugen af regulære udtryk i søgninger. Tryk på Redigér-knappen for at bruge &kde;'s grafiske editor til at lave et regulært udtryk.

Redigér Find næste

  Gå til næste udgave af den tekst du søger efter.

Redigér Find forrige

  Gå til forrige udgave af den tekst du søger efter.

Redigér Gem historik som...

  Gem den aktuelle historik som en tekstfil.

Redigér Ryd historik

  Ryd historikken for den aktuelle session.

Redigér Ryd alle historikker

  Ryd historikken for alle sessioner.

#### Vis-menuen

Vis Fraknyt session

  Åbner den nuværende session i et separat vindue. Navnet på sessionen vises på titellinjen af det nye vindue.

Vis Omdøb session...

  Åbn en dialog der tillader dig at ændre navnet på den aktuelle session. Navnet vises i sessionens faneblad. &Alt;&Ctrl;S kan også bruges.

Vis Overvåg for aktivitet

  Giv den aktuelle session et flag så den vil give en advarsel hvis der er aktivitet. En ikon med en tændt lyspære vil vise sig i sessionens faneblad. Brug dette til at gøre dig opmærksom på at der sker noget men du arbejder i en anden session. Tiden før en advarsel kan ændres &konsole;'s indstillinger.

Vis Overvåg for stilhed

  Giv den aktuelle session et flag, så den vil advare hvis der ingen aktivitet er i mere end 10 sekunder. En ikon som en mørk lyspære vil vise sig i sessionens faneblad. Brug dette til at gøre dig opmærksom på at en opgave stopper mens du arbejder i en anden session. Tiden før en advarsel kan ændres &konsole;'s indstillinger.

Vis Send inddata til alle sessioner

  Giv den aktuelle session et flag så enhver kommando der indtastes i den vil blive sendt til alle sessioner. Sessionen vil få en lille ikon i sit faneblad for at minde dig om at passe på med det du indtaster! ``rm` `-rf *``, for eksempel, er nok ikke en god idé.

Vis Flyt session til venstre

  Flyt fanebladet for den aktuelle session et faneblad til venstre.

Vis Flyt session til højre

  Flyt fanebladet for den aktuelle session et faneblad til højre.

  &Shift; Venstre og &Shift; Højre kan også bruges til at flytte mellem sessioner.

Vis Sessionsikoner...

  For neden i menuen er der en liste af tilgængelige sessioner. Valg af én gør den aktiv.

  Du kan også bruge &Shift;Venstre/&Shift;Højre tasterne til at cykle gennem de tilgængelige sessioner.

#### Bogmærker-menuen

Bogmærker Tilføj bogmærke

  Tilføjer det aktuelle sted til bogmærkelisten.

Bogmærker Redigér bogmærker

  Redigér bogmærkelisten.

Bogmærker Ny bogmærkemappe

  Tilføj en ny mappe til bogmærkelisten.

Bogmærkelisten vises i bunden af menuen. Vælg et bogmærke til at ændre denne placering.

Du kan bruge bogmærke-editoren til manuelt at tilføje URL'er såsom ssh://user@host eller telnet://host til at åbne eksterne forbindelser.

#### Opsætningsmenuen

Opsætning Skjul menulinje

  Skjul menulinjen.

Opsætning Fanebladslinje

  Kontrollér synlighed/placering af fanebladslinjen: Skjul, Top, eller Bund.

Opsætning Rullebjælke

  Kontrollér synlighed/placering af rullebjælken: Skjul, Top, eller Bund.

Opsætning Fuldskærm

  Skift mellem at vinduet fylder hele skærmen eller er af normal størrelse.

Opsætning Klokke

  Sæt klokken: Systemklokke, Systempåmindelse, Ingen klokke, eller Ingen.

Opsætning Skrifttype

  Sæt skrifttypestørrelse: Normal, Lillebitte, Lille, Middel, Stor, Kæmpestor.

  Vælg tilvalget Linux for at bruge en konsolskrifttype.

  Vælg tilvalget Unicode for at bruge en fastbredde skrifttype.

  Vælg af Tilpasset for at bruge en vilkårlig kombination af skrifttype, størrelse og stil.

Opsætning Tegnsæt

  Vælg tegnsæt.

Opsætning Tastatur

  Vælg den ønskede tasteafbildning.

  Listen af disse tasteafbildninger er taget fra `$KDEDIR/share/apps/konsole/*.keytab`. Filen `$KDEDIR/share/apps/konsole/README.KeyTab` beskriver `*.keytab`-formatet mere detaljeret. Tilføj til eller ændr disse filer for at matche dine behov. Normalt tages keytab fra `$KDEDIR/share/apps/konsole/README.default.Keytab`

Opsætning Farvesammensætning

  Sæt farver for teksten og baggrunden.

  Listen er taget fra `$KDEDIR/share/apps/konsole/*.schema`. Filen `$KDEDIR/share/apps/konsole/README.Schema` beskriver `*.schema`-formatet i mere detalje. Tilføj til eller ændr disse filer efter behov. Du kan også lave tilpassede farvesammensætninger gennem indstillingsdialogen i Opsætning Indstil Konsole....

Opsætning Størrelse

  Sæt størrelse af tekstområdet (givet i søjler x rækker).

Opsætning Historik...

  Åbn en dialog hvor du kan indstille historikken. Aktivér-afkrydsningsfeltet skifter mellem at at gemme linjer der er røget ud over toppen af vinduet eller ej. Du kan indtaste Antal linjer der skal huskes i tekstfeltet, eller bruge drejeknapperne til at forøge eller formindske antallet i trin på 100 linjer. Standard-knappen vil nulstille historikken til 1000 linjer. Valg af Sæt til ubegrænset vil få al historik til at blive gemt. Tryk på O.k. for at gemme dine ændringer, eller Annullér for at lukke dialogen uden at gemme dine ændringer.

Opsætning Gem som standard

  Gem den aktuelle opsætning som den nye standard.

Opsætning Gem sessionsprofil...

  Gem det aktuelle sæt af sessioner under et navn du vælger. Profilen kan så bruges ved at starte &konsole; fra kommando-linjen med `--profile` og navnet på profilen.

Opsætning Indstil påmindelser...

  Tilret påmindelser for &konsole;.

Opsætning Indstil genveje...

  Tilret tastaturgenveje for &konsole;-kommandoer.

Opsætning Indstil &konsole;...

  Åbn &kcontrolcenter;-modulet, der tillader at man laver mange flere ændringer af&konsole;'s grænseflade, inkluderende oprettelsen af brugervalgte farvesammensætninger og ændringer af de tilgængelige sessioner.

#### Hjælp-menuen

Hjælp Konsole-håndbogen

  Åbn dette dokuments indholdsfortegnelse.

Hjælp Dagens vink...

  Vis et nyttigt vink om brugen af &konsole;. Afkryds Vis ved start-feltet for at vise et godt råd hver gang &konsole; startes.

Hjælp Rapportér problem...

  Indsend en fejlrapport eller et ønske om en ny egenskab for &konsole;.

Hjælp Om Konsole...

  Information om &konsole;'s forfatter

Hjælp Om KDE...

  Information pm KDE-projektet

### Fanbladslinje

Fanebladslinjen tillader flere terminalsessioner at være knyttet til et enkelt vindue i &konsole;.

Fanebladsbillede
Fanebladsbillede

Konsole med 4 terminalsessioner kørende med fanebladslinjen for neden.

Menupunktet Opsætning Fanebladslinje tillader fanebladslinjen at blive flyttet til Top eller Bund. Fanebladslinjen kan også være skjult ved at vælge Skjul.

På venstre side af fanebladslinjen er en knap som tillader en mængde handlinger.

- Klik på knappen for at starte en ny normal session.

- Klik og hold på knappen vil få en liste af alle sessioner at vælge.

- Højreklik på knappen (eller et vilkårligt tomt sted på fanbladslinjen) vil få en menu frem til at indstille visse tilvalg:

  - Fanebladslinje: Skjul, Top, Bund.

  - Fanebladstilvalg: Tekst & Ikoner, Kun tekst, Kun ikoner.

  - Dynamisk skjulen vil skjule fanbladslinjen når der kun er en åben session.

  - Automatisk størrelsesændring af faneblade ændrer automatisk størrelse på fanebalde til fanebladslinjens bredde.

I højre side af fanebladslinjen er en knap der lukker nuværende session. Denne knap vil være deaktiveret hvis der kun er en session der kører.

Højreklik på et faneblad vil få en anden menu frem:

- Løsriv session

- Omdøb session...

- Overvåg for aktivitet

- Overvåg for stilhed

- Send inddata til alle sessioner

- Skift til faneblad...

- Luk session

### Kommandolinje-tilvalg

Når &konsole; er startet fra kommandolinjen, er der forskellige tilvalg der kan angives til at ændre dens opførsel.

`--help`

  Overvåg for aktivitet.

`-e` `kommando`

  Udfør `kommando` i stedet for den normale skal.

  Alle argumenter efter `kommando` sendes til `kommando`, ikke til &konsole; .

`--keytab` `fil`

  Start &konsole; ved brug af en angiven .keytab fil for at tilrette tastebindinger.

`--keytabs`

  Liste af alle de tilgængelige keytab.

`--ls`

  Starter med et login-skal-miljø. Hvad det så gør afhænger af dit system, men generelt betyder det at filer såsom `~/.profile` eller `~/.bash_profile` vil blive læst. (Hvis dette ikke betyder noget for dig, så hold dig fra det, men husk det til det tidspunkt hvor du bliver klar over at du har brug for det.)

`--name` `navn`

  Sæt navnet der vises i titellinjen.

`--noclose`

  Forhindrer &konsole; i at lukke når en ``exit`` kommando udstedes i det eneste sessionsvindue.

`--noframe`

  Start &konsole; uden en ramme.

`--nohist`

  Deaktiverer at linjer bliver gemt som er rullet ud over toppen af vinduet der ruller ud over toppen af vinduet.

`--nomenubar`

  Start &konsole; med menulinjen skjult.

`--noresize`

  Deaktivér ændring af størrelse af terminalvindue.

`--noscrollbar`

  Start &konsole; med rullebjælke skjult.

`--notabbar`

  Start &konsole; med fanebladslinje skjult.

`--noxft`

  Starter &konsole; uden Xft-antialias. Antialias af en lille skrifttype kan være svær at læse.

`--profile` `fil`

  Start &konsole; ved brug af et gemt sæt sessioner.

`--profiles`

  Liste af alle de tilgængelige profiler.

`--schema` `name` | `fil`

  Start &konsole; ved brug at schema-navn eller angivet i 'file' for at tilrette udseendet.

`--schemata`

  Liste af alle de tilgængelige farvesammensætninger.

`--script`

  Aktivér udvidede &DCOP; &Qt;-funktioner.

`-T` `titel`

  Sæt vinduestitel.

`--tn` `terminal`

  Sætter miljø-variablen TERM til den angivne værdi. Læs ``man` `xterm`` for flere oplysninger om TERM.

`--type` `type`

  Start en session af den givne type snarere end standarden.

`--types`

  Liste af alle de tilgængelige sessionstyper.

`--vt_sz` `CCxLL`

  Start et terminalvindue af CC søjler og LL linjer.

`--workdir` `dir`

  Åbner med `dir` som arbejdsmappe.

Eksempel:

    &percnt; konsole --vt_sz 90x25 --nohist

Starter et &konsole;-vindue med 90 søjler og 25 rækker uden historik

    &percnt; konsole --noclose -e echo_args Goddag, tak fordi du bruger Konsole!

Starter et &konsole;-vindue med teksten 'Goddag, tak fordi du bruger Konsole!'

Argumentet `echo_args` er et enkelt Bash-script:

    #!/bin/bash
    echo $*

&konsole; accepterer også generiske &Qt;- og &kde;-tilvalg:

`--help-qt`

  Liste af Qt-specifikke tilvalg

Følgende tilvalg for &Qt; har ingen virkning på &konsole;:

`--fn`, `--font` `fontname`

  Definerer programmets skrifttype

`--bg`, `--background` `color`

  Sætter standardbaggrundsfarven

`--fg`, `--foreground` `color`

  Sætter standardforgrundsfarven

`--btn`, `--button` `color`

  Sætter standardfarven for knapper

`--help-kde`

  Liste af KDE-specifikke tilvalg

`--help-all`

  Liste af alle tilvalg

`--author`

  Vis forfatterens navn

`-v,--version`

  Vis versionsnummer

`--license`

  Vis licensinformation

### DCOP

For en introduktion til &DCOP; og brug af `dcop` kig venligst i Brugerguidens afsnit om DCOP.

## Medvirkende og ophavsret

Fra &kde; 3.4, bliver &konsole; vedligeholdt af &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Tidligere blev &konsole; vedligeholdt &Waldo.Bastian; &Waldo.Bastian.mail;

Programmet &konsole; Ophavsret © 1997-2005 &Lars.Doelle; &Lars.Doelle.mail;

Dette dokument blev skrevet af &Jonathan.Singer; &Jonathan.Singer.mail;

Dette dokument blev opdateret for &kde; 3.4 af &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Konverteret til DocBook SGML af &Mike.McBride; og &Lauri.Watts;

&erik.kjaer.pedersen.credit; &underFDL; &underGPL;

## &konsole; på ikke-&Linux; platform

Oplysninger om at bygge &konsole; på andre platforme end &Linux; er tilgængelig i `README.ports`-filen i &konsole;'s kildepakke. Den giver en liste af eksperter for bestemte platforme (Tru64, &Solaris;, OpenBSD) og beder om frivillige fra andre udgaver af &UNIX;

For mere information besøg gerne følgende netsteder:

- KDE på FreeBSD

- KDE på Solaris

&documentation.index;